Index: .gitignore
===================================================================
--- .gitignore	(revision 25d028cd677b737c7a45aff38347115ca8048aa8)
+++ .gitignore	(revision 5315d35d5e44d83b029c31f9bb660b9e3e3b2c1a)
@@ -14,5 +14,4 @@
 freebsd/lib/libc/net/nsparser.c
 rtemsbsd/rtems/rtems-kvm-symbols.c
-rtemsbsd/include/machine/rtems-bsd-kernel-space.h
 testsuite/include/rtems/bsd/test/network-config.h
 /*.i
Index: Makefile
===================================================================
--- Makefile	(revision 25d028cd677b737c7a45aff38347115ca8048aa8)
+++ Makefile	(revision 5315d35d5e44d83b029c31f9bb660b9e3e3b2c1a)
@@ -29,7 +29,4 @@
 NEED_DUMMY_PIC_IRQ=yes
 
-# do nothing default so sed on rtems-bsd-kernel-space.h always works.
-SED_PATTERN += -e 's/^//'
-
 TEST_NETWORK_CONFIG = testsuite/include/rtems/bsd/test/network-config.h
 
@@ -44,5 +41,5 @@
 
 LIB = libbsd.a
-LIB_GEN_FILES = rtemsbsd/include/machine/rtems-bsd-kernel-space.h
+LIB_GEN_FILES =
 LIB_C_FILES =
 LIB_C_FILES += rtemsbsd/local/bus_if.c
@@ -295,5 +292,4 @@
 LIB_C_FILES += freebsd/sys/netinet/libalias/alias_skinny.c
 LIB_C_FILES += freebsd/sys/netinet/libalias/alias_sctp.c
-ifneq ($(DISABLE_IPV6),yes)
 LIB_C_FILES += freebsd/sys/net/if_stf.c
 LIB_C_FILES += freebsd/sys/netinet6/dest6.c
@@ -324,7 +320,4 @@
 LIB_C_FILES += freebsd/sys/netinet6/sctp6_usrreq.c
 LIB_C_FILES += freebsd/sys/netinet6/udp6_usrreq.c
-else
-SED_PATTERN += -e 's/^\#define INET6 1/\/\/ \#define INET6 1/'
-endif # DISABLE_IPV6
 LIB_C_FILES += freebsd/sys/netipsec/ipsec.c
 LIB_C_FILES += freebsd/sys/netipsec/ipsec_input.c
@@ -1311,8 +1304,4 @@
 	< $< > $@
 
-# The following targets use the MIPS Generic in_cksum routine
-rtemsbsd/include/machine/rtems-bsd-kernel-space.h: rtemsbsd/include/machine/rtems-bsd-kernel-space.h.in
-	sed $(SED_PATTERN) <$< >$@
-
 CPU_SED  = sed
 CPU_SED += -e '/arm/d'
Index: config.inc
===================================================================
--- config.inc	(revision 25d028cd677b737c7a45aff38347115ca8048aa8)
+++ config.inc	(revision 5315d35d5e44d83b029c31f9bb660b9e3e3b2c1a)
@@ -2,5 +2,4 @@
 RTEMS_MAKEFILE_PATH = ${HOME}/newbsd/bsp-install/mips-rtems4.11/$(BSP)
 INSTALL_BASE = ${HOME}/newbsd/install
-DISABLE_IPV6=no
 TEST_RUNNER = $(BSP)
 NET_CFG_SELF_IP = 10.0.2.1
Index: freebsd-to-rtems.py
===================================================================
--- freebsd-to-rtems.py	(revision 25d028cd677b737c7a45aff38347115ca8048aa8)
+++ freebsd-to-rtems.py	(revision 5315d35d5e44d83b029c31f9bb660b9e3e3b2c1a)
@@ -435,7 +435,4 @@
 			'NEED_DUMMY_PIC_IRQ=yes\n' \
 			'\n' \
-                        '# do nothing default so sed on rtems-bsd-kernel-space.h always works.\n' \
-                        'SED_PATTERN += -e \'s/^//\'\n' \
-			'\n' \
 			'TEST_NETWORK_CONFIG = testsuite/include/rtems/bsd/test/network-config.h\n' \
 			'\n' \
@@ -450,5 +447,5 @@
 			'\n' \
 			'LIB = libbsd.a\n' \
-			'LIB_GEN_FILES = rtemsbsd/include/machine/rtems-bsd-kernel-space.h\n' \
+			'LIB_GEN_FILES =\n' \
 			'LIB_C_FILES =\n'
 		for m in self.modules:
@@ -466,6 +463,4 @@
 				data += 'endif\n'
 			if m.conditionalOn != "none":
-				data += 'else\n'
-				data += 'SED_PATTERN += -e \'' + m.cppPattern +'\'\n'
 				data += 'endif # ' + m.conditionalOn +'\n'
 		data += '\n' \
@@ -496,8 +491,4 @@
 			'\t-e \'s/@NET_CFG_GATEWAY_IP@/$(NET_CFG_GATEWAY_IP)/\' \\\n' \
 			'\t< $< > $@\n' \
-			'\n' \
-			'# The following targets use the MIPS Generic in_cksum routine\n' \
-			'rtemsbsd/include/machine/rtems-bsd-kernel-space.h: rtemsbsd/include/machine/rtems-bsd-kernel-space.h.in\n' \
-			'\tsed $(SED_PATTERN) <$< >$@\n' \
 			'\n' \
 			'CPU_SED  = sed\n' \
@@ -561,5 +552,4 @@
 		self.name = name
 		self.conditionalOn = "none"
-		self.cppPattern = "s///"
 		self.files = []
 		self.cpuDependentSourceFiles = {}
@@ -1712,6 +1702,4 @@
 
 netinet6 = Module('netinet6')
-netinet6.conditionalOn = "DISABLE_IPV6"
-netinet6.cppPattern = 's/^\#define INET6 1/\/\/ \#define INET6 1/'
 netinet6.addKernelSpaceHeaderFiles(
 	[
Index: rtemsbsd/include/machine/rtems-bsd-kernel-space.h
===================================================================
--- rtemsbsd/include/machine/rtems-bsd-kernel-space.h	(revision 5315d35d5e44d83b029c31f9bb660b9e3e3b2c1a)
+++ rtemsbsd/include/machine/rtems-bsd-kernel-space.h	(revision 5315d35d5e44d83b029c31f9bb660b9e3e3b2c1a)
@@ -0,0 +1,83 @@
+/**
+ * @file
+ *
+ * @ingroup rtems_bsd_machine
+ *
+ * @brief TODO.
+ */
+
+/*
+ * Copyright (c) 2009-2013 embedded brains GmbH.  All rights reserved.
+ *
+ *  embedded brains GmbH
+ *  Dornierstr. 4
+ *  82178 Puchheim
+ *  Germany
+ *  <rtems@embedded-brains.de>
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ */
+
+#ifndef _RTEMS_BSD_MACHINE_RTEMS_BSD_KERNEL_SPACE_H_
+#define _RTEMS_BSD_MACHINE_RTEMS_BSD_KERNEL_SPACE_H_
+
+/* FIXME: Update Newlib */
+#define MSIZE 256
+
+/* FIXME: Update Newlib */
+#define	__GLOBL1(sym)	__asm__(".globl " #sym)
+#define	__GLOBL(sym)	__GLOBL1(sym)
+
+#define __FreeBSD__ 1
+
+/* General define to activate BSD kernel parts */
+#define _KERNEL 1
+
+/* Symbol rename */
+
+#include <machine/rtems-bsd-symbols.h>
+
+/* Assert */
+
+void rtems_bsd_assert_func(const char *file, int line, const char *func, const char *expr);
+
+#ifdef RTEMS_BSD_NO_ASSERT
+# define BSD_ASSERT(expr) ((void) 0)
+#else
+# define BSD_ASSERT(expr) ((expr) ? (void) 0 : rtems_bsd_assert_func(__FILE__, __LINE__, __func__, #expr))
+#endif
+
+/* General definitions */
+
+#define M_RTEMS_HEAP 0
+
+#define BSD_DEFAULT_FIB 0
+
+#define BSD_DEFAULT_PID 0
+
+#define BSD_DEFAULT_UID 0
+
+#define BSD_DEFAULT_GID 0
+
+#define BSD_DEFAULT_PRISON (&prison0)
+
+#endif /* _RTEMS_BSD_MACHINE_RTEMS_BSD_KERNEL_SPACE_H_ */
Index: emsbsd/include/machine/rtems-bsd-kernel-space.h.in
===================================================================
--- rtemsbsd/include/machine/rtems-bsd-kernel-space.h.in	(revision 25d028cd677b737c7a45aff38347115ca8048aa8)
+++ 	(revision )
@@ -1,83 +1,0 @@
-/**
- * @file
- *
- * @ingroup rtems_bsd_machine
- *
- * @brief TODO.
- */
-
-/*
- * Copyright (c) 2009-2013 embedded brains GmbH.  All rights reserved.
- *
- *  embedded brains GmbH
- *  Dornierstr. 4
- *  82178 Puchheim
- *  Germany
- *  <rtems@embedded-brains.de>
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
- * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
- * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
- * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
- * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
- * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
- * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
- * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- */
-
-#ifndef _RTEMS_BSD_MACHINE_RTEMS_BSD_KERNEL_SPACE_H_
-#define _RTEMS_BSD_MACHINE_RTEMS_BSD_KERNEL_SPACE_H_
-
-/* FIXME: Update Newlib */
-#define MSIZE 256
-
-/* FIXME: Update Newlib */
-#define	__GLOBL1(sym)	__asm__(".globl " #sym)
-#define	__GLOBL(sym)	__GLOBL1(sym)
-
-#define __FreeBSD__ 1
-
-/* General define to activate BSD kernel parts */
-#define _KERNEL 1
-
-/* Symbol rename */
-
-#include <machine/rtems-bsd-symbols.h>
-
-/* Assert */
-
-void rtems_bsd_assert_func(const char *file, int line, const char *func, const char *expr);
-
-#ifdef RTEMS_BSD_NO_ASSERT
-# define BSD_ASSERT(expr) ((void) 0)
-#else
-# define BSD_ASSERT(expr) ((expr) ? (void) 0 : rtems_bsd_assert_func(__FILE__, __LINE__, __func__, #expr))
-#endif
-
-/* General definitions */
-
-#define M_RTEMS_HEAP 0
-
-#define BSD_DEFAULT_FIB 0
-
-#define BSD_DEFAULT_PID 0
-
-#define BSD_DEFAULT_UID 0
-
-#define BSD_DEFAULT_GID 0
-
-#define BSD_DEFAULT_PRISON (&prison0)
-
-#endif /* _RTEMS_BSD_MACHINE_RTEMS_BSD_KERNEL_SPACE_H_ */