Index: testsuites/itrontests/ChangeLog
===================================================================
--- testsuites/itrontests/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/itrontests/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: testsuites/itrontests/configure.ac
===================================================================
--- testsuites/itrontests/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/itrontests/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -16,5 +16,4 @@
 
 RTEMS_ENV_RTEMSBSP
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 
Index: testsuites/libtests/ChangeLog
===================================================================
--- testsuites/libtests/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/libtests/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: testsuites/libtests/configure.ac
===================================================================
--- testsuites/libtests/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/libtests/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -18,5 +18,4 @@
 RTEMS_ENV_RTEMSBSP
 RTEMS_CHECK_RTEMS_TEST_NO_PAUSE
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 
Index: testsuites/mptests/ChangeLog
===================================================================
--- testsuites/mptests/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/mptests/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: testsuites/mptests/configure.ac
===================================================================
--- testsuites/mptests/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/mptests/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -16,5 +16,4 @@
 
 RTEMS_ENV_RTEMSBSP
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 
Index: testsuites/psxtests/ChangeLog
===================================================================
--- testsuites/psxtests/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/psxtests/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-15	Jennifer Averett <jennifer@OARcorp.com>
 
Index: testsuites/psxtests/configure.ac
===================================================================
--- testsuites/psxtests/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/psxtests/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -16,5 +16,4 @@
 
 RTEMS_ENV_RTEMSBSP
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 
Index: testsuites/samples/ChangeLog
===================================================================
--- testsuites/samples/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/samples/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: testsuites/samples/configure.ac
===================================================================
--- testsuites/samples/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/samples/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -18,5 +18,4 @@
 
 RTEMS_ENV_RTEMSBSP
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 
Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/sptests/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: testsuites/sptests/configure.ac
===================================================================
--- testsuites/sptests/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/sptests/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -17,5 +17,4 @@
 RTEMS_ENV_RTEMSBSP
 RTEMS_CHECK_RTEMS_TEST_NO_PAUSE
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 
Index: testsuites/tmitrontests/ChangeLog
===================================================================
--- testsuites/tmitrontests/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/tmitrontests/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: testsuites/tmitrontests/configure.ac
===================================================================
--- testsuites/tmitrontests/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/tmitrontests/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -16,5 +16,4 @@
 
 RTEMS_ENV_RTEMSBSP
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 
Index: testsuites/tmtests/ChangeLog
===================================================================
--- testsuites/tmtests/ChangeLog	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/tmtests/ChangeLog	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -1,2 +1,6 @@
+2003-10-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:Remove RTEMS_CHECK_CPU.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: testsuites/tmtests/configure.ac
===================================================================
--- testsuites/tmtests/configure.ac	(revision 98e88aa39a888fbe1fc22afe459fbdfdfd65a3f6)
+++ testsuites/tmtests/configure.ac	(revision 5445ee60a62667e67d482a45db95a59794bc824c)
@@ -17,5 +17,4 @@
 RTEMS_ENV_RTEMSBSP
 RTEMS_CHECK_RTEMS_TEST_NO_PAUSE
-RTEMS_CHECK_CPU
 RTEMS_CANONICAL_HOST
 