Index: ChangeLog
===================================================================
--- ChangeLog	(revision bd914b46500b26093b23aa5c6d9710ec4acbccc2)
+++ ChangeLog	(revision 5913d94de8d52e6a69c0123abf42f633cf24af94)
@@ -1,2 +1,19 @@
+2000-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* aclocal/enable-itron.m4: Remove changequotes (autoconf-2.49b).
+	* aclocal/enable-posix.m4: Remove changequotes (autoconf-2.49b), use
+	$host instead of $target (BUG-FIX).
+	* configure.in: Use $target and $host instead of $target_alias and
+	$host_alias (autoconf-2.49b).
+	* aclocal/check-newlib.m4: Remove CC_FOR_TARGET (BUG-FIX)
+	* aclocal/sysv-ipc.m4: Move AC_DEFINE outside of AC_CACHE (BUG-FIX)
+
+	NOTES:
+	* autoconf-2.49b depredicates using changequotes.
+	* The changes to configure.in are due to cleanups in
+	autoconf-2.49b's implemention of canonicalization. With
+	autoconf-2.1x it wasn't always clear, when to use $xxx or
+	$xxx_alias. Now this is clear.
+
 2000-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: aclocal/check-newlib.m4
===================================================================
--- aclocal/check-newlib.m4	(revision bd914b46500b26093b23aa5c6d9710ec4acbccc2)
+++ aclocal/check-newlib.m4	(revision 5913d94de8d52e6a69c0123abf42f633cf24af94)
@@ -8,6 +8,4 @@
   rtems_cv_use_newlib,
   [
-    rtems_save_CC=$CC
-
 dnl some versions of newlib provide not_required_by_rtems
     AC_TRY_LINK(
@@ -24,5 +22,5 @@
         rtems_cv_use_newlib="no")
     fi
-  CC=$rtems_save_CC])
+  ])
 RTEMS_USE_NEWLIB="$rtems_cv_use_newlib"
 AC_SUBST(RTEMS_USE_NEWLIB)
@@ -34,3 +32,2 @@
 fi
 ])
-
Index: aclocal/enable-itron.m4
===================================================================
--- aclocal/enable-itron.m4	(revision bd914b46500b26093b23aa5c6d9710ec4acbccc2)
+++ aclocal/enable-itron.m4	(revision 5913d94de8d52e6a69c0123abf42f633cf24af94)
@@ -13,11 +13,10 @@
 esac],[RTEMS_HAS_ITRON_API=yes]) 
 
-changequote(,)dnl
-case "${target}" in
+case "${host}" in
   # hpux unix port should go here
-  i[34567]86-pc-linux*)         # unix "simulator" port
+  i[[34567]]86-pc-linux*)         # unix "simulator" port
 	RTEMS_HAS_ITRON_API=no
 	;;
-  i[34567]86-*freebsd*) # unix "simulator" port
+  i[[34567]]86-*freebsd*) # unix "simulator" port
 	RTEMS_HAS_ITRON_API=no
 	;;
@@ -31,5 +30,4 @@
 	;;
 esac
-changequote([,])dnl
 AC_SUBST(RTEMS_HAS_ITRON_API)
 ])
Index: aclocal/enable-posix.m4
===================================================================
--- aclocal/enable-posix.m4	(revision bd914b46500b26093b23aa5c6d9710ec4acbccc2)
+++ aclocal/enable-posix.m4	(revision 5913d94de8d52e6a69c0123abf42f633cf24af94)
@@ -13,11 +13,10 @@
 esac],[RTEMS_HAS_POSIX_API=yes]) 
 
-changequote(,)dnl
-case "${target}" in
+case "${host}" in
   # hpux unix port should go here
-  i[34567]86-pc-linux*)         # unix "simulator" port
+  i[[34567]]86-pc-linux*)         # unix "simulator" port
 	RTEMS_HAS_POSIX_API=no
 	;;
-  i[34567]86-*freebsd*) # unix "simulator" port
+  i[[34567]]86-*freebsd*) # unix "simulator" port
 	RTEMS_HAS_POSIX_API=no
 	;;
@@ -31,5 +30,4 @@
 	;;
 esac
-changequote([,])dnl
 AC_SUBST(RTEMS_HAS_POSIX_API)
 ])
Index: aclocal/sysv-ipc.m4
===================================================================
--- aclocal/sysv-ipc.m4	(revision bd914b46500b26093b23aa5c6d9710ec4acbccc2)
+++ aclocal/sysv-ipc.m4	(revision 5913d94de8d52e6a69c0123abf42f633cf24af94)
@@ -28,8 +28,8 @@
 [rtems_cv_HAS_UNION_SEMUN="yes"],
 [rtems_cv_HAS_UNION_SEMUN="no"])
-
+])
 if test "$rtems_cv_HAS_UNION_SEMUN" = "yes"; then
     AC_DEFINE(HAS_UNION_SEMUN)
-fi])
+fi
 ])
 
Index: configure.in
===================================================================
--- configure.in	(revision bd914b46500b26093b23aa5c6d9710ec4acbccc2)
+++ configure.in	(revision 5913d94de8d52e6a69c0123abf42f633cf24af94)
@@ -75,5 +75,5 @@
             -e 's/--ta[a-z-]*=[^ 	]*//'`;
 
-targargs="--host=${target_alias} --build=${build_alias} ${targargs}"
+targargs="--host=${target_alias} --build=${build} ${targargs}"
 AC_SUBST(targargs)
 
@@ -81,5 +81,5 @@
 
 changequote(,)dnl
-if test $target_alias = $host_alias; 
+if test $target = $host; 
 then
   HOST_SUBDIRS="$configdirs $target_configdirs"
@@ -92,5 +92,5 @@
 changequote([,])dnl
 
-if test $host_alias = $build_alias;
+if test $host = $build;
 then
   HOST_SUBDIRS="$build_tools $HOST_SUBDIRS"
@@ -114,5 +114,5 @@
 if test "$no_recursion" != yes; then
 
- if test $target_alias != $host_alias; then
+ if test $target != $host; then
   # Remove --srcdir arguments so they do not pile up.
   ac_sub_configure_args=
@@ -208,5 +208,5 @@
  fi
 
- if test $build_alias != $host_alias; then
+ if test $build != $host; then
   # Remove --srcdir arguments so they do not pile up.
   ac_sub_configure_args=
@@ -263,5 +263,5 @@
     esac
 
-    # Check for guested configure; otherwise get Cygnus style configure.
+    # Check for configure
     if test -f $ac_sub_srcdir/configure; then
       ac_sub_configure=$ac_sub_srcdir/configure
@@ -290,5 +290,5 @@
 	$ac_sub_configure_args --srcdir=$ac_sub_srcdir \
 	--cache-file=$ac_sub_cache_file \
-        --build=$build_alias --host=$build_alias
+        --build=$build --host=$build
       then :
       else