Index: c/src/lib/libbsp/m68k/mvme167/network/network.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/network/network.c	(revision 2a7e204c01f39b6ca55ec4783fb08922e0ad0692)
+++ c/src/lib/libbsp/m68k/mvme167/network/network.c	(revision 6128a4aa5e791ed4e0a655bfd346a52d92da7883)
@@ -6,10 +6,10 @@
 #define KERNEL
 
-/* 
+/*
  *  Selectively define to debug the network driver. If you define any of these
  *  you must run with polled console I/O.
  */
- 
-/* 
+
+/*
 #define DBG_ADD_CMD
 #define DBG_WAIT
@@ -262,8 +262,8 @@
     return sc->pScp;
   }
-    
+
   /* allocate enough memory for the Scp block to be aligned on 16 byte boundary */
   malloc_16byte_aligned( (void *)&(sc->base_scp), (void *)&(sc->pScp), sizeof( i596_scp ) );
-  					
+
   #ifdef DBG_MEM
   printk(("uti596_scp_alloc: Scp base address is %p\n", sc->base_scp))
@@ -277,7 +277,7 @@
 /*
  *  uti596_writePortFunction
- *  
+ *
  *  Write the command into the PORT.
- *  
+ *
  *  Input parameters:
  *    addr - 16-byte aligned address to write into the PORT.
@@ -287,5 +287,5 @@
  *
  *  Return value: NONE
- *    
+ *
  *  The Motorola manual swapped the high and low registers.
  */
@@ -302,7 +302,7 @@
 /*
  *  uti596_portReset
- * 
+ *
  *  Issue a port Reset to the uti596
- * 
+ *
  *  Input parameters: NONE
  *
@@ -339,5 +339,5 @@
 {
   rtems_interval ticks_per_second, start_ticks, end_ticks;
-  
+
   stp->results = 0xFFFFFFFF;
   uti596_writePortFunction( stp, UTI596_SELFTEST_PORT_FUNCTION );
@@ -345,6 +345,6 @@
   rtems_clock_get(RTEMS_CLOCK_GET_TICKS_PER_SECOND, &ticks_per_second);
 	rtems_clock_get(RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &start_ticks);
-	end_ticks = start_ticks + ticks_per_second;	
-	
+	end_ticks = start_ticks + ticks_per_second;
+
   do {
     if( stp->results != 0xFFFFFFFF )
@@ -371,5 +371,5 @@
 #endif
 
-  
+
 /* currently unused by RTEMS */
 #if 0
@@ -394,5 +394,5 @@
 {
   rtems_interval ticks_per_second, start_ticks, end_ticks;
-  
+
   dp->dump_status = 0;
   uti596_writePortFunction( dp, UTI596_DUMP_PORT_FUNCTION );
@@ -400,6 +400,6 @@
   rtems_clock_get(RTEMS_CLOCK_GET_TICKS_PER_SECOND, &ticks_per_second);
 	rtems_clock_get(RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &start_ticks);
-	end_ticks = start_ticks + ticks_per_second;	
-	
+	end_ticks = start_ticks + ticks_per_second;
+
   do {
     if( dp->dump_status != 0xA006 )
@@ -429,5 +429,5 @@
  *
  *  Wait for a certain condition.
- *  
+ *
  *  Input parameters:
  *    sc - pointer to the uti596_softc struct
@@ -455,5 +455,5 @@
 
   switch( waitType ) {
-  
+
     case UTI596_NO_WAIT:
       return 0;
@@ -466,7 +466,7 @@
 			  else
 				  rtems_clock_get(RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &start_ticks);
-			
+
 		  } while (start_ticks <= end_ticks);
-		  
+
 		  if( (sc->scb.command != 0) || (start_ticks > end_ticks) ) {
 			  printf("i82596 timed out with status %x, cmd %x.\n",
@@ -476,5 +476,5 @@
       else
         return 0;
- 
+
     case UTI596_WAIT_FOR_INITIALIZATION:
 		  do {
@@ -505,5 +505,5 @@
 					rtems_clock_get(RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &start_ticks);
 			} while (start_ticks <= end_ticks);
-			
+
 		  if (start_ticks > end_ticks ) {
 		    #ifdef DBG_WAIT
@@ -521,6 +521,6 @@
 	 return -1;
 }
-  
- 
+
+
 /*
  *  uti596_issueCA
@@ -528,5 +528,5 @@
  *  Issue a Channel Attention command. Possibly wait for the
  *  command to start or complete.
- *  
+ *
  *  Input parameters:
  *    sc - pointer to the uti596_softc
@@ -547,5 +547,5 @@
   /* Issue Channel Attention */
   i82596->chan_attn = 0x00000000;
-  
+
   return (uti596_wait ( sc, waitType ));
 }
@@ -554,12 +554,12 @@
 /*
  *  uti596_addCmd
- * 
+ *
  *  Add a uti596_cmd onto the end of the CBL command chain,
  *  	or to the start if the chain is empty.
- * 
+ *
  *  Input parameters:
  *  	pCmd - a pointer to the command to be added.
  *
- *  Output parameters: NONE 
+ *  Output parameters: NONE
  *
  *  Return value: NONE
@@ -581,5 +581,5 @@
 
   _ISR_Disable(level);
-   
+
   if (uti596_softc.pCmdHead == I596_NULL) {
     uti596_softc.pCmdHead = uti596_softc.pCmdTail = uti596_softc.scb.pCmd = pCmd;
@@ -589,5 +589,5 @@
 		uti596_softc.scb.command = CUC_START;
   	uti596_issueCA ( &uti596_softc, UTI596_NO_WAIT );
-     
+
   	_ISR_Enable(level);
   }
@@ -608,8 +608,8 @@
 /*
  *  uti596_addPolledCmd
- * 
+ *
  *  Add a single uti596_cmd to the end of the command block list
  *  for processing, send a CU_START and wait for its acceptance
- * 
+ *
  *  Input parameters:
  *  	sc - a pointer to the uti596_softc struct
@@ -654,9 +654,9 @@
 /*
  *  uti596_CU_dump
- * 
+ *
  *  Dump the LANC 82596 registers
  *  	The outcome is the same as the portDump() but executed
  *  	via the CU instead of via a PORT access.
- * 
+ *
  *  Input parameters:
  *  	drp - a pointer to a i596_dump_result structure.
@@ -682,8 +682,8 @@
 /*
  *  uti596_dump_scb
- * 
+ *
  *  Dump the system control block
  *  This function expands to nothing when using interrupt driven I/O
- * 
+ *
  *  Input parameters: NONE
  *
@@ -736,5 +736,5 @@
 
   uti596_writePortFunction( sc->pScp, UTI596_SCP_PORT_FUNCTION );
-  
+
   /* Issue CA: pass the scb address to the 596 */
   return ( uti596_issueCA ( sc, UTI596_WAIT_FOR_INITIALIZATION ) );
@@ -744,7 +744,7 @@
 /*
  *  uti596_diagnose
- * 
+ *
  *  Send a diagnose command to the CU
- * 
+ *
  *  Input parameters: NONE
  *
@@ -772,8 +772,8 @@
 /*
  *  uti596_configure
- * 
+ *
  *  Send the CU a configure command with the desired
  *  configuration structure
- * 
+ *
  *  Input parameters:
  *  	sc - a pointer to the uti596_softc struct
@@ -784,5 +784,5 @@
  *  	0 if successful, -1 otherwise
  */
-static int uti596_configure ( 
+static int uti596_configure (
 	uti596_softc_ * sc
 )
@@ -800,8 +800,8 @@
 /*
  *  uti596_IAsetup
- * 
+ *
  *  Send the CU an Individual Address setup command with
  *  the ethernet hardware address
- * 
+ *
  *  Input parameters:
  *  	sc - a pointer to the uti596_softc struct
@@ -817,5 +817,5 @@
 {
 	int i;
-	
+
   sc->set_add.cmd.command = CmdSASetup;
   for ( i=0; i<6; i++) {
@@ -833,8 +833,8 @@
 /*
  *  uti596_initTBD
- * 
+ *
  *  Initialize transmit buffer descriptors
  *    dynamically allocate mem for the number of tbd's required
- * 
+ *
  *  Input parameters:
  *  	sc - a pointer to the uti596_softc struct
@@ -881,8 +881,8 @@
 /*
  *  uti596_initRFA
- * 
+ *
  *  Initialize the Receive Frame Area
  *    dynamically allocate mem for the number of rfd's required
- * 
+ *
  *  Input parameters:
  *  	sc - a pointer to the uti596_softc struct
@@ -920,5 +920,5 @@
     if ( pRfd != NULL ) {
       uti596_softc.countRFD++;                          /* update count */
-      uti596_softc.pEndRFA->next = 
+      uti596_softc.pEndRFA->next =
         (i596_rfd *) word_swap ((unsigned long) pRfd);  /* write the link */
       uti596_softc.pEndRFA = pRfd;   										/* move the end */
@@ -965,8 +965,8 @@
 /*
  *  uti596_initMem
- * 
+ *
  *  Initialize the 82596 memory structures for Tx and Rx
  *    dynamically allocate mem for the number of tbd's required
- * 
+ *
  *  Input parameters:
  *  	sc - a pointer to the uti596_softc struct
@@ -995,5 +995,5 @@
     printk(("init_rfd: only able to allocate %d receive frame descriptors\n", i))
   }
-                
+
   /*
    * Write the SCB with a pointer to the receive frame area
@@ -1034,5 +1034,5 @@
  *
  *  Reset the 82596 and initialize it with a new SCP.
- *  
+ *
  *  Input parameters:
  *    sc - pointer to the uti596_softc
@@ -1056,5 +1056,5 @@
    */
   sc->pScp->sysbus = 0x54;
-  
+
   /* provide the iscp to the scp, keep a pointer for our use */
   sc->pScp->iscp_pointer = word_swap((unsigned long)&sc->iscp);
@@ -1071,5 +1071,5 @@
   /* Set up the 82596 */
   uti596_setScpAndScb( sc );
-  
+
   /* clear the scb command word */
   sc->scb.command = 0;
@@ -1082,5 +1082,5 @@
  *  Reset the 82596 and initialize it with a new SCP. Enable bus snooping.
  *  Install the interrupt handlers.
- *  
+ *
  *  Input parameters:
  *    sc - pointer to the uti596_softc
@@ -1102,5 +1102,5 @@
 
   uti596_initialize( sc );
-  
+
   /*
    * Configure interrupt control in PCCchip2
@@ -1112,8 +1112,8 @@
   								 									 * on read access and sink any data on write
   								 									 */
-  /* 
+  /*
    * Install the interrupt handler
    * calls rtems_interrupt_catch
-   */  
+   */
   dummy = (rtems_isr_entry) set_vector( uti596_DynamicInterruptHandler, 0x57, 1 );
 
@@ -1131,5 +1131,5 @@
  *
  *  Reset the 82596 and initialize it with an SCP.
- *  
+ *
  *  Input parameters:
  *    sc - pointer to the uti596_softc
@@ -1156,5 +1156,5 @@
   #endif
   uti596_initialize( sc );
-  
+
   /*
    * Wake the transmitter if needed.
@@ -1179,11 +1179,11 @@
 /*
  *  uti596_clearListStatus
- * 
+ *
  *  Clear the stat fields for all RFDs
- * 
+ *
  *  Input parameters:
  *  	pRfd - a pointer to the head of the RFA
  *
- *  Output parameters: NONE 
+ *  Output parameters: NONE
  *
  *  Return value: NONE
@@ -1202,10 +1202,10 @@
 /*
  *  uti596_reset
- * 
+ *
  *  Reset the 82596 and reconfigure
- * 
+ *
  *  Input parameters: NONE
  *
- *  Output parameters: NONE 
+ *  Output parameters: NONE
  *
  *  Return value: NONE
@@ -1224,5 +1224,5 @@
   sc->resetDone = 0;
 	uti596_wait ( sc, UTI596_WAIT_FOR_CU_ACCEPT );
-  uti596_reset_hardware ( &uti596_softc ); 
+  uti596_reset_hardware ( &uti596_softc );
 
 	#ifdef DBG_RESET
@@ -1258,5 +1258,5 @@
 
   /* Re-address the head of the RFA in the SCB */
-  sc->scb.pRfd =  sc->pBeginRFA; 
+  sc->scb.pRfd =  sc->pBeginRFA;
   sc->scb.rfd_pointer = word_swap((unsigned long)sc->pBeginRFA);
 
@@ -1271,5 +1271,5 @@
   sc->resetDone = 1;
   uti596_issueCA ( sc, UTI596_WAIT_FOR_CU_ACCEPT );
-  
+
   UTI_596_ASSERT(sc->pCmdHead == I596_NULL, "Reset: CMD not cleared\n")
 
@@ -1282,11 +1282,11 @@
 /*
  *  uti596_dequeue
- * 
+ *
  *  Remove an RFD from the received fram queue
- * 
+ *
  *  Input parameters:
  *  	ppQ - a pointer to a i596_rfd pointer
  *
- *  Output parameters: NONE 
+ *  Output parameters: NONE
  *
  *  Return value:
@@ -1299,5 +1299,5 @@
   ISR_Level level;
   i596_rfd * pRfd;
-  
+
   _ISR_Disable(level);
 
@@ -1307,10 +1307,10 @@
      return I596_NULL;
   }
-  
-	/* 
+
+	/*
 	 * Point to the dequeued buffer, then
 	 * adjust the queue pointer and detach the buffer
 	 */
-  pRfd = *ppQ;      
+  pRfd = *ppQ;
   *ppQ = (i596_rfd *) word_swap ((unsigned long) pRfd->next);
   pRfd->next = I596_NULL;  /* unlink the rfd being returned */
@@ -1323,16 +1323,16 @@
 /*
  *  uti596_append
- * 
+ *
  *  Remove an RFD buffer from the RFA and tack it on to
  *  	the received frame queue for processing.
- * 
+ *
  *  Input parameters:
  *  	 ppQ - a pointer to the queue pointer
  *  	pRfd - a pointer to the buffer to be returned
  *
- *  Output parameters: NONE 
+ *  Output parameters: NONE
  *
  *  Return value: NONE
- */ 
+ */
 
 void uti596_append(
@@ -1371,12 +1371,12 @@
 /*
  *  uti596_supplyFD
- * 
+ *
  *  Return a buffer (RFD) to the receive frame area (RFA).
  *  Call with interrupts disabled.
- * 
+ *
  *  Input parameters:
  *  	pRfd - a pointer to the buffer to be returned
  *
- *  Output parameters: NONE 
+ *  Output parameters: NONE
  *
  *  Return value: NONE
@@ -1389,5 +1389,5 @@
 
  UTI_596_ASSERT(pRfd != I596_NULL, "Supplying NULL RFD!\n")
- 
+
  pRfd -> cmd  = CMD_EOL;
  pRfd -> pRbd = I596_NULL;
@@ -1409,5 +1409,5 @@
    return;
  }
- 
+
  /*
   * Check if the last RFD is used/read by the 596.
@@ -1417,5 +1417,5 @@
  /* C = complete, B = busy (prefetched) */
  if ( pLastRfd != I596_NULL && ! (pLastRfd -> stat & ( STAT_C | STAT_B ) )) {
- 
+
    /*
     * Not yet too late to add it
@@ -1455,11 +1455,11 @@
      }
      else {
-     
+
        uti596_softc.pEndRFA = pRfd;   /* the RFA has been extended */
-       
+
        if ( ( uti596_softc.scb.status & SCB_STAT_RNR ||
               uti596_softc.scb.status & RU_NO_RESOURCES ) &&
               uti596_softc.countRFD > 1 ) {
-              
+
          /* Ensure that beginRFA is not EOL */
          uti596_softc.pBeginRFA -> cmd &= ~CMD_EOL;
@@ -1477,8 +1477,8 @@
          uti596_softc.scb.pRfd = uti596_softc.pBeginRFA;
          uti596_softc.scb.rfd_pointer = word_swap ((unsigned long) uti596_softc.pBeginRFA);
-         
+
          /* Don't ack RNR! The receiver should be stopped in this case */
          uti596_softc.scb.command = RX_START | SCB_STAT_RNR;
-         
+
          UTI_596_ASSERT( !(uti596_softc.scb.status & SCB_STAT_FR),"FRAME RECEIVED INT COMING!\n")
 
@@ -1507,13 +1507,13 @@
 /*
  *  send_packet
- * 
+ *
  *  Send a raw ethernet packet, add a
  *  	transmit command to the CBL
- * 
+ *
  *  Input parameters:
  *  	ifp - a pointer to the ifnet structure
  *  	  m	-	a pointer to the mbuf being sent
  *
- *  Output parameters: NONE 
+ *  Output parameters: NONE
  *
  *  Return value: NONE
@@ -1702,10 +1702,10 @@
     ifp->if_mtu = ETHERMTU;
 
-  /* 
+  /*
    * Check whether parameters should be obtained from NVRAM. If
    * yes, and if an IP address, netmask, or ethernet address are
    * provided in NVRAM, cheat, and stuff them into the ifconfig
    * structure, OVERRIDING and existing or NULL values.
-   * 
+   *
    * Warning: If values are provided in NVRAM, the ifconfig entries
    * must be NULL because buffer memory allocated to hold the
@@ -1719,5 +1719,5 @@
   if ( !(j1 & 0x10) ) {
   	/* Jumper J1-4 is on, configure from NVRAM */
-  
+
     if ( (addr = nvram->ipaddr) ) {
       /* We have a non-zero entry, copy the value */
@@ -1727,5 +1727,5 @@
         rtems_panic("Can't allocate ip_address buffer!\n");
     }
-    
+
     if ( (addr = nvram->netmask) ) {
       /* We have a non-zero entry, copy the value */
@@ -1740,5 +1740,5 @@
      * NVRAM parameter the highest priority if J1-4 indicates we are configuring
      * from NVRAM.
-     * 
+     *
      * If the ethernet address is specified in NVRAM, go ahead and copy it.
      * (ETHER_ADDR_LEN = 6 bytes).
@@ -1828,9 +1828,9 @@
 {
   uti596_softc_ *sc = ifp->if_softc;
-  
+
 	#ifdef DBG_START
   printk(("uti596_start: begins\n"))
 	#endif
-	
+
   rtems_event_send (sc->txDaemonTid, START_TRANSMIT_EVENT);
   ifp->if_flags |= IFF_OACTIVE;
@@ -1891,5 +1891,5 @@
   sc->scb.command = RX_START;
   uti596_issueCA ( sc, UTI596_WAIT_FOR_CU_ACCEPT );
-  
+
   /*
    * Tell the world that we're running.
@@ -1898,5 +1898,5 @@
   #ifdef DBG_INIT
   printk(("uti596_init: completed.\n"))
-  #endif  
+  #endif
 }
 
@@ -1941,7 +1941,7 @@
  *
  *  Description: Transmit task
- *  
+ *
  *  Algorithm: Get mbufs to be transmitted, stuff into RFDs, send
- *  
+ *
  ***********************************************************************/
 
@@ -2182,5 +2182,5 @@
  if ( scbStatus ) {
    /* acknowledge interrupts */
-   
+
    /* Write to the ICLR bit in the PCCchip2 control registers to clear
     * the INT status bit. Clearing INT here *before* sending the CA signal
@@ -2189,7 +2189,7 @@
     pccchip2->LANC_int_ctl |=0x08;
     pccchip2->LANC_berr_ctl |=0x08;
-   
+
     /* printk(("***INFO: ACK %x\n", scbStatus))*/
-   
+
     /* Send the CA signal to acknowledge interrupt */
     uti596_softc.scb.command = scbStatus;
@@ -2243,5 +2243,5 @@
     else {
         printk(("*****WARNING: RNR condition with NULL BeginRFA\n"))
-    }          
+    }
   }
 
@@ -2252,5 +2252,5 @@
   if ( scbStatus & SCB_STAT_FR ) {
     uti596_softc.rxInterrupts++;
-  
+
 		#ifdef DBG_ISR
     printk(("uti596_DynamicInterruptHandler: Frame received\n"))
@@ -2354,5 +2354,5 @@
       */
       UTI_596_ASSERT(uti596_softc.pCmdHead == I596_NULL, "****ERROR: command serialization failed\n")
-                    
+
       /* What if the command did not complete OK? */
       switch ( pIsrCmd->command & 0x7) {
@@ -2449,7 +2449,7 @@
       }
     } /* end if pIsrCmd != NULL && pIsrCmd->stat & STAT_C  */
-    
+
     else {
-      if ( pIsrCmd != I596_NULL ) { 
+      if ( pIsrCmd != I596_NULL ) {
         /* The command MAY be NULL from a RESET */
         /* Reset the ethernet card, and wake the transmitter (if necessary) */
@@ -2476,5 +2476,5 @@
 
 
- /* 
+ /*
   * If the receiver has stopped,
   * check if this is a No Resources scenario,
@@ -2607,6 +2607,6 @@
 	#endif
   count_rx=0;
- 
- 
+
+
  /* Do this last, to ensure that the reset is called at the right time. */
   if ( uti596_softc.nic_reset ) {
@@ -2626,7 +2626,7 @@
  *             driver ioctl function
  *             handles SIOCGIFADDR, SIOCSIFADDR, SIOCSIFFLAGS
- *             
+ *
  ***********************************************************************/
- 
+
 static int uti596_ioctl(
   struct ifnet *ifp,
@@ -2685,5 +2685,5 @@
       break;
   }
-  
+
   return error;
 }
@@ -2757,5 +2757,5 @@
 
   printk(("savedQ:\n"))
-  
+
   for( pRfd = uti596_softc.pSavedRfdQueue;
        pRfd != I596_NULL;
@@ -2763,7 +2763,7 @@
       printk(("pRfd: %p, stat: 0x%x cmd: 0x%x\n",pRfd,pRfd -> stat,pRfd -> cmd))
   }
-      
+
   printk(("Inbound:\n"))
-  
+
   for( pRfd = uti596_softc.pInboundFrameQueue;
        pRfd != I596_NULL;
@@ -2771,8 +2771,8 @@
     printk(("pRfd: %p, stat: 0x%x cmd: 0x%x\n",pRfd,pRfd -> stat,pRfd -> cmd))
   }
-    
+
   printk(("Last Unk: %p\n", uti596_softc.pLastUnkRFD ))
   printk(("RFA:\n"))
-  
+
   for( pRfd = uti596_softc.pBeginRFA;
        pRfd != I596_NULL;
@@ -2785,5 +2785,5 @@
 /*
  *  show_buffers
- *  
+ *
  *  Print out the RFA and frame queues
  */
@@ -2798,5 +2798,5 @@
 
   printk(("\nRFA: \n"))
-  
+
   for ( pRfd = uti596_softc.pBeginRFA;
         pRfd != I596_NULL;
@@ -2806,5 +2806,5 @@
         }
   printk(("\nInbound: \n"))
-  
+
   for ( pRfd = uti596_softc.pInboundFrameQueue;
         pRfd != I596_NULL;
@@ -2815,5 +2815,5 @@
 
   printk(("\nSaved: \n"))
-  
+
   for ( pRfd = uti596_softc.pSavedRfdQueue;
         pRfd != I596_NULL;
@@ -2822,5 +2822,5 @@
              pRfd, pRfd->stat, pRfd->cmd))
   }
-           
+
   printk(("\nUnknown: %p\n",uti596_softc.pLastUnkRFD))
 }
@@ -2851,5 +2851,5 @@
 
   printk(("\nRFA:\n"))
-  
+
   for ( pRfd = uti596_softc.pBeginRFA;
         pRfd != I596_NULL &&
@@ -2888,9 +2888,9 @@
         printk ((" %2.2X", add[i]))
   }
-  
+
   printk (("\n"))
   printk (("frame type %2.2X%2.2X\n", add[12], add[13]))
 
-  if ( add[12] == 0x08 && add[13] == 0x06 ) { 
+  if ( add[12] == 0x08 && add[13] == 0x06 ) {
     /* an ARP */
     printk (("Hardware type : %2.2X%2.2X\n", add[14],add[15]))
@@ -2906,5 +2906,5 @@
     printk (("%x\n", add[27]))
     printk (("Sender IP addr: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk (("%u.", add[28 + i]))
@@ -2912,5 +2912,5 @@
     printk (("%u\n", add[31]))
     printk (("Target Enet addr: "))
-    
+
     for ( i=0; i< 5 ; i++) {
       printk (( "%x:", add[32 + i]))
@@ -2937,5 +2937,5 @@
     printk (("IP packet type: %2.2X code %2.2X\n", add[34],add[35]))
     printk (("Source IP address: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk (("%u.", add[26 + i]))
@@ -2943,5 +2943,5 @@
     printk (("%u\n", add[29]))
     printk (("Destination IP address: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk (("%u.", add[30 + i]))
@@ -3011,5 +3011,5 @@
     printk (("%x\n", add[27]))
     printk (("Sender IP addr: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk (("%u.", add[28 + i]))
@@ -3017,7 +3017,7 @@
     printk (("%u\n", add[31]))
     printk (("Target Enet addr: "))
-    
+
     for ( i=0; i< 5 ; i++) {
-      printk (( "%x:", add[32 + i]))    
+      printk (( "%x:", add[32 + i]))
     }
     printk (("%x\n", add[37]))
@@ -3041,5 +3041,5 @@
     printk (("IP packet type: %2.2X code %2.2X\n", add[34],add[35]))
     printk (("Source IP address: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk(( "%u.", add[26 + i]))
@@ -3047,5 +3047,5 @@
     printk(("%u\n", add[29]))
     printk(("Destination IP address: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk(( "%u.", add[30 + i]))
@@ -3054,5 +3054,5 @@
     printk(("********************IP Packet Data*******************\n"))
     length -=20;
-    
+
     for ( i=0; i < length ; i++) {
       printk(("0x%2.2x ", add[34+i]))
@@ -3082,5 +3082,5 @@
   printk (("print_echo: begins"))
 
-  if ( add[12] == 0x08 && add[13] == 0x00 ) { 
+  if ( add[12] == 0x08 && add[13] == 0x00 ) {
     /* an IP packet */
     printk (("Packet Location %p\n", add))
@@ -3098,5 +3098,5 @@
     printk (("\n"))
     printk (("frame type %2.2X%2.2X\n", add[12], add[13]))
-    
+
     printk (("*********************IP HEADER******************\n"))
     printk (("IP version/IPhdr length: %2.2X TOS: %2.2X\n", add[14] , add[15]))
@@ -3108,5 +3108,5 @@
     printk (("IP packet type: %2.2X code %2.2X\n", add[34],add[35]))
     printk (("Source IP address: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk (("%u.", add[26 + i]))
@@ -3114,5 +3114,5 @@
     printk (("%u\n", add[29]))
     printk (("Destination IP address: "))
-    
+
     for ( i=0; i< 3 ; i++) {
       printk (("%u.", add[30 + i]))
@@ -3121,5 +3121,5 @@
     printk(("********************IP Packet Data*******************\n"))
     length -=20;
-    
+
     for ( i=0; i < length ; i++) {
       printk(("0x%2.2x ", add[34+i]))