Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision 3d14a451e96ba84901eae5c140adb403116439f7)
+++ c/src/ChangeLog	(revision 6200dc9dd2f8989338b22efb4405aa568a39f6a0)
@@ -7,5 +7,5 @@
 
 	* libchip/i2c/i2c-2b-eeprom.c, libchip/i2c/i2c-2b-eeprom.h,
-	* libchip/i2c/i2c-ds1621.c, libchip/i2c/i2c-ds1621.h:
+	libchip/i2c/i2c-ds1621.c, libchip/i2c/i2c-ds1621.h:
 	Added SLAC/Stanford Authorship Note / Copyright + Liability Disclaimer.
 
Index: c/src/lib/libbsp/powerpc/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ChangeLog	(revision 3d14a451e96ba84901eae5c140adb403116439f7)
+++ c/src/lib/libbsp/powerpc/ChangeLog	(revision 6200dc9dd2f8989338b22efb4405aa568a39f6a0)
@@ -1,7 +1,6 @@
 2007-01-20      Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
-	* gen5200/mscan/mscan.c,
-	* gen5200/mscan/mscan.h,
-	* gen5200/mscan/mscan_int.h:
+	* gen5200/mscan/mscan.c, gen5200/mscan/mscan.h,
+	gen5200/mscan/mscan_int.h:
 	split mscan.h into two headers, corrected CAN filtering
 	code to
@@ -11,6 +10,6 @@
 
 	* mvme5500/Makefile.am, mvme5500/preinstall.am,
-	* mvme5500/vme/VMEConfig.h, mvme5500/vme/VME.h,
-	* mvme5500/vme/vmeconfig.c:
+	mvme5500/vme/VMEConfig.h, mvme5500/vme/VME.h,
+	mvme5500/vme/vmeconfig.c:
 	removed copies of vmeconfig.c, VME.h - use generic
 	versions instead.
@@ -18,10 +17,8 @@
 2007-01-19	Till Straumann <strauman@slac.stanford.edu>
 
-	* Makefile.am,
-	* ep1a/Makefile.am, ep1a/preinstall.am,
-	* motorola_powerpc/Makefile.am, motorola_powerpc/preinstall.am,
-	* score603e/Makefile.am, score603e/preinstall.am,
-	* shared/vme/VME.h:
-	moved VME.h from libbsp/powerpc/shared/vme to
+	* Makefile.am, ep1a/Makefile.am, ep1a/preinstall.am,
+	motorola_powerpc/Makefile.am, motorola_powerpc/preinstall.am,
+	score603e/Makefile.am, score603e/preinstall.am,
+	shared/vme/VME.h: moved VME.h from libbsp/powerpc/shared/vme to
 	libbsp/shared/vmeUniverse; eventually, this (and other)
 	VME API headers should migrate to cpukit.
@@ -30,10 +27,11 @@
 
 	* ep1a/vme/vmeconfig.c, mvme5500/pci/pcifinddevice.c,
-	* mvme5500/startup/pgtbl_activate.c, mvme5500/vectors/bspException.h,
-	* mvme5500/vectors/exceptionhandler.c, mvme5500/vme/VME.h,
-	* mvme5500/vme/vmeconfig.c, score603e/vme/vmeconfig.c, shared/pci/pcifinddevice.c,
-	* shared/startup/pgtbl_activate.c, shared/startup/pgtbl_setup.c,
-	* shared/startup/probeMemEnd.c, shared/startup/sbrk.c, shared/vme/VME.h,
-	* shared/vme/VMEConfig.h, shared/vme/vme_universe.c, shared/vme/vmeconfig.c:
+	mvme5500/startup/pgtbl_activate.c, mvme5500/vectors/bspException.h,
+	mvme5500/vectors/exceptionhandler.c, mvme5500/vme/VME.h,
+	mvme5500/vme/vmeconfig.c, score603e/vme/vmeconfig.c,
+	shared/pci/pcifinddevice.c, shared/startup/pgtbl_activate.c,
+	shared/startup/pgtbl_setup.c, shared/startup/probeMemEnd.c,
+	shared/startup/sbrk.c, shared/vme/VME.h, shared/vme/VMEConfig.h,
+	shared/vme/vme_universe.c, shared/vme/vmeconfig.c:
 	Added SLAC/Stanford Authorship Note / Copyright + Liability Disclaimer.
 
Index: c/src/lib/libbsp/powerpc/mvme5500/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision 3d14a451e96ba84901eae5c140adb403116439f7)
+++ c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision 6200dc9dd2f8989338b22efb4405aa568a39f6a0)
@@ -2,6 +2,5 @@
 
 	* mvme5500/Makefile.am, mvme5500/preinstall.am,
-	* mvme5500/vme/VMEConfig.h, mvme5500/vme/VME.h,
-	* mvme5500/vme/vmeconfig.c:
+	mvme5500/vme/VMEConfig.h, mvme5500/vme/VME.h, mvme5500/vme/vmeconfig.c:
 	removed copies of vmeconfig.c, VME.h - use generic
 	versions instead.
Index: c/src/lib/libbsp/shared/ChangeLog
===================================================================
--- c/src/lib/libbsp/shared/ChangeLog	(revision 3d14a451e96ba84901eae5c140adb403116439f7)
+++ c/src/lib/libbsp/shared/ChangeLog	(revision 6200dc9dd2f8989338b22efb4405aa568a39f6a0)
@@ -9,6 +9,6 @@
 
 	* vmeUniverse/vmeTsi148.c, vmeUniverse/vmeTsi148.h,
-	* vmeUniverse/vmeUniverse.c, vmeUniverse/vmeUniverse.h,
-	* vmeUniverse/vme_am_defs.h:
+	vmeUniverse/vmeUniverse.c, vmeUniverse/vmeUniverse.h,
+	vmeUniverse/vme_am_defs.h:
 	Added SLAC/Stanford Authorship Note / Copyright + Liability Disclaimer.
 
Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 3d14a451e96ba84901eae5c140adb403116439f7)
+++ cpukit/ChangeLog	(revision 6200dc9dd2f8989338b22efb4405aa568a39f6a0)
@@ -1,6 +1,5 @@
 2007-01-20      Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
-	* libblock/src/bdbuf.c: 
-	* libblock/include/bdbuf.h: 
+	* libblock/src/bdbuf.c, libblock/include/bdbuf.h: 
 	export some internal variables to make them available in
 	"show_bdbuf" monitor add-on
@@ -8,7 +7,7 @@
 2007-01-16	Till Straumann <strauman@slac.stanford.edu>
 	* libnetworking/rtems/rtems_mii_ioctl.c,
-	* libnetworking/rtems/rtems_mii_ioctl.h,
-	* libnetworking/rtems/rtems_mii_ioctl_kern.c,
-	* libi2c/libi2c.c, libi2c/libi2c.h:
+	libnetworking/rtems/rtems_mii_ioctl.h,
+	libnetworking/rtems/rtems_mii_ioctl_kern.c,
+	libi2c/libi2c.c, libi2c/libi2c.h:
 	Added SLAC/Stanford Authorship Note / Copyright + Liability Disclaimer.
 